Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Scheduling

List Calendar Blocked Times

GET
/v1/calendars/{calendar_id}/blocked-times

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

calendar_id*string
Formatuuid

Query Parameters

start_at?string
start_at[neq]?string
start_at[gt]?string
start_at[gte]?string
start_at[lt]?string
start_at[lte]?string
end_at?string
end_at[neq]?string
end_at[gt]?string
end_at[gte]?string
end_at[lt]?string
end_at[lte]?string
window_start?string
window_end?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/calendars/497f6eca-6276-4993-bfeb-53cbbbba6f08/blocked-times"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97",      "source": "manual",      "name": "string",      "is_all_day": true,      "start_at": "2019-08-24T14:15:22Z",      "end_at": "2019-08-24T14:15:22Z",      "recurrence_rule": "string",      "series_id": "0f6582ac-1e7e-41dc-a63a-24fccd074d0c",      "replaces_occurrence_at": "2019-08-24T14:15:22Z",      "event_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "calendar": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "name": "string",        "external_id": "string",        "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",        "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d",        "type": "provider",        "is_default": true,        "scheduling_enabled": true,        "yes_status_id": "b6b6528e-788f-4a4d-a6c8-64c1c612ade2",        "no_status_id": "477cd436-3b4e-4818-a9d2-2216ccb162b5",        "maybe_status_id": "e92edbf2-e54f-452d-a748-1b96f0474ede",        "noreply_status_id": "40575e6a-32c0-4359-ba17-1fcf9f26f963",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}